Subject: Re: [PATCHv3 (net.git) 2/2] stmmac: fix MDIO settings

From: Andreas Färber <[email-masked]>
Date: Wed, 16 Mar 2016 10:47:27 +0100

Hi Peppe,

Am 15.03.2016 um 16:53 schrieb Giuseppe CAVALLARO:
> On 3/15/2016 1:54 AM, Andreas Färber wrote:
>> The connectivity issue still remains. Kernel log snippet:
>>
>> [  +0.001117] rk_gmac-dwmac ff290000.ethernet: Looking up phy-supply
>> from device tree
>> [  +0.000028] rk808 0-001b: Looking up vcc12-supply from device tree
>> [  +0.000014] vcc_lan: supplied by vcc_io
>> [  +0.000101] rk_gmac-dwmac ff290000.ethernet: clock input or output?
>> (input).
>> [  +0.000009] rk_gmac-dwmac ff290000.ethernet: TX delay(0x30).
>> [  +0.000008] rk_gmac-dwmac ff290000.ethernet: RX delay(0x10).
>> [  +0.000014] rk_gmac-dwmac ff290000.ethernet: init for RGMII
>> [  +0.000104] rk_gmac-dwmac ff290000.ethernet: clock input from PHY
>> [  +0.005063] rk_gmac-dwmac ff290000.ethernet: no reset control found
>> [  +0.000007] stmmac - user ID: 0x10, Synopsys ID: 0x35
>> [  +0.000002]  Ring mode enabled
>> [  +0.000006]  DMA HW capability register supported
>> [  +0.000000]  Normal descriptors
> 
>                  ^^^^^^^^^^^^^^^^^^
> 
>> [  +0.000003]  RX Checksum Offload Engine supported (type 2)
>> [  +0.000002]  TX Checksum insertion supported
>> [  +0.000002]  Wake-Up On Lan supported
>> [  +0.000053]  Enable RX Mitigation via HW Watchdog Timer
>> [  +0.000771] of_get_named_gpiod_flags: can't parse 'snps,reset-gpio'
>> property of node '/ethernet@ff290000[0]'
>> [  +0.004250] libphy: stmmac: probed
>> [  +0.000009] eth0: PHY ID 001cc915 at 0 IRQ POLL (stmmac-0:00) active
>> [  +0.000005] eth0: PHY ID 001cc915 at 1 IRQ POLL (stmmac-0:01)
>>
>> As before, reverting "stmmac: first frame prep at the end of xmit
>> routine" fixes it. My test cases are `ping 192.168.1.1` and `zypper up`.
> 
> so on your side, this revert fixes the issue and you do not see any
> tx watchdog as Tomeu's raised.

Confirmed, the system ran stable over night. I don't use NFS on that
system myself, having GMAC working only since v2.

> I have fixed some problems on top of
> "stmmac: first frame prep at the end of xmit ..." please
> see patch attached for net-next.
> 
> Indeed, the normal tx descriptors are well filled w/o
> "stmmac: first frame prep at the end of xmit ..."
> 
> I wonder if you could try the attachment in order to understand if we
> have to  actually revert the patch (I ask you to not revert the
> patch "stmmac: first frame...").

Works great on top of next-20160314 with i2c plus this series, please
add my Tested-by. Thanks a lot for investigating!

Cheers,
Andreas

-- 
SUSE Linux GmbH, Maxfeldstr. 5, 90409 Nürnberg, Germany
GF: Felix Imendörffer, Jane Smithard, Graham Norton; HRB 21284 (AG Nürnberg)